lib64qtnetwork4-4.8.6-9.mga5.x86_64.rpm


Advertisement

Description

lib64qtnetwork4 - Qt4 Component Library

Property Value
Distribution Mageia 5.1
Repository Mageia Core x86_64
Package filename lib64qtnetwork4-4.8.6-9.mga5.x86_64.rpm
Package name lib64qtnetwork4
Package version 4.8.6
Package release 9.mga5
Package architecture x86_64
Package type rpm
Category System/Libraries
Homepage http://qt-project.org/
License LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
Maintainer -
Download size 446.86 KB
Installed size 1.29 MB
Qt4 Component Library.
The QtNetwork module provides classes to make network programming easier
and portable.

Alternatives

Package Version Architecture Repository
lib64qtnetwork4 - - -

Requires

Name Value
libQtCore.so.4()(64bit) -
libc.so.6()(64bit) -
libc.so.6(GLIBC_2.10)(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libc.so.6(GLIBC_2.15)(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.3)(64bit) -
libc.so.6(GLIBC_2.3.4)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libcrypto.so.1.0.0()(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libssl.so.1.0.0()(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libz.so.1()(64bit) -
qt4-common == 4:4.8.6

Provides

Name Value
lib64qtnetwork4 == 4:4.8.6-9.mga5
lib64qtnetwork4(x86-64) == 4:4.8.6-9.mga5
libQtNetwork.so.4()(64bit) -
qtnetworklib == 4:4.8.6

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package lib64qtnetwork4-4.8.6-9.mga5.x86_64.rpm
Source Package qt4-4.8.6-9.mga5.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install lib64qtnetwork4 rpm package:
    # urpmi lib64qtnetwork4

Files

Path
/usr/lib64/libQtNetwork.so.4
/usr/lib64/libQtNetwork.so.4.8
/usr/lib64/libQtNetwork.so.4.8.6

Changelog

2015-04-22 - luigiwalser <luigiwalser> 4:4.8.6-9.mga5
+ Revision: 820556
- add patch from fedora to fix CVE-2015-1858, CVE-2015-1859, and CVE-2015-1860
2015-02-28 - lmenut <lmenut> 4:4.8.6-8.mga5
+ Revision: 817203
- add upstream patch to fix DoS vulnerability in the BMP image handler
(CVE-2015-0295) mga#15383
2015-02-12 - lmenut <lmenut> 4:4.8.6-7.mga5
+ Revision: 814810
- add 3 patches from bugreports.qt.io to fix KDE file dialogs in LibreOffice
(QTBUGS 34614, 37380 & 38585)
2015-02-08 - lmenut <lmenut> 4:4.8.6-6.mga5
+ Revision: 814065
- Add qsystemtrayicon plugin system for sni-qt
+ alexl <alexl>
- add "QT4" in name for linguist-qt4.desktop
2014-11-30 - lmenut <lmenut> 4:4.8.6-5.mga5
+ Revision: 800110
- add -no-openvg to configure (mga#13942)
- only recommends qt4-designer plugins
- update patch406 (find printers with cups >= 1.6) from Fedora
to fix default printer (mga#12911)
- add patch408 from KDE to fix default printer settings (bko#180051)
2014-11-25 - cjw <cjw> 4:4.8.6-4.mga5
+ Revision: 799044
- rebuild against postgresql9.4
2014-10-15 - umeabot <umeabot> 4:4.8.6-3.mga5
+ Revision: 745131
- Second Mageia 5 Mass Rebuild
2014-09-16 - umeabot <umeabot> 4:4.8.6-2.mga5
+ Revision: 688528
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/
2014-05-13 - luigiwalser <luigiwalser> 4:4.8.6-1.mga5
+ Revision: 622507
- 4.8.6
- remove ld-gold patch (dropped by fedora)
- add patch from fedora to fix regression from CVE-2013-4549 fix
- remove upstreamed CVE-2013-4549 patches
- add patch from upstream via fedora to fix CVE-2014-0190
2014-04-05 - wally <wally> 4:4.8.5-8.mga5
+ Revision: 611889
- rebuild for new icu

See Also

Package Description
lib64qtopengl4-4.8.6-9.mga5.x86_64.rpm Qt4 Component Library
lib64qtorganizer1-1.2.0-13.mga5.x86_64.rpm QtOrganizer runtime library
lib64qtpublishsubscribe1-1.2.0-13.mga5.x86_64.rpm QtPublishSubscribe runtime library
lib64qtruby4shared2-4.14.3-3.mga5.x86_64.rpm Runtime library for Ruby SMOKE adaptor for Qt
lib64qtscript-devel-5.4.0-1.mga5.x86_64.rpm Devel files needed to build apps based on QtScript
lib64qtscript-private-devel-5.4.0-1.mga5.x86_64.rpm Devel files needed to build apps based on QtScript
lib64qtscript4-4.8.6-9.mga5.x86_64.rpm Qt4 Component Library
lib64qtscript5-5.4.0-1.mga5.x86_64.rpm Qt5 Component Library
lib64qtscripttools4-4.8.6-9.mga5.x86_64.rpm Qt4 Component Library
lib64qtsensors1-1.2.0-13.mga5.x86_64.rpm QtSensors runtime library
lib64qtserviceframework1-1.2.0-13.mga5.x86_64.rpm QtServiceFramework runtime library
lib64qtsingleapplication-devel-2.6.1-9.mga5.x86_64.rpm Development files for qtsingleapplication
lib64qtsingleapplication1-2.6.1-9.mga5.x86_64.rpm Qt library to start applications only once per user
lib64qtsinglecoreapplication-devel-2.6.1-9.mga5.x86_64.rpm Development files for qtsinglecoreapplication
lib64qtsinglecoreapplication1-2.6.1-9.mga5.x86_64.rpm Qt library to start applications only once per user
Advertisement
Advertisement